View Issue Details

IDProjectCategoryView StatusLast Update
00036323 - Current Dev ListBugpublic2020-07-13 04:56
ReporterPD9FERAssigned ToDOUG 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.290 
Summary0003632: Filling in a Call in ALE and Hit Enter takes long time to be written to the DB
DescriptionWhen you normally open the ALE, you Type the Call and select Tab/lookup
Then F7 to add it to the log.
This works fast

Some customers report that when the type the call into the ALE and hit Enter, it takes a long time to be written to the DB
Steps To ReproduceOpen ALE
Enter a Call
Do a TAB or select Lookup
Hit F7
This would write directly to the database

Now:

Open ALE
Enter a call
Hit Enter
This takes longer to write to the Database

Or:
Disable all Calsign Lookup options
Open ALE
Enter a call (DO NOT use Lookup!)
Hit Enter
This takes longer to write to the Database
Additional InformationTicket #855268
Ticket #796013
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Activities

PD9FER

2020-02-03 08:05

updater   ~0009574

As an addition:
Open ALE
Type a call
Hit F7
This is also slow...

Conclusion: Writing to the DB is slow when not doing a Lookup.

PD9FER

2020-04-05 04:09

updater   ~0009648

Ticket #236929

PD9FER

2020-05-22 10:26

updater   ~0009679

New one: Ticket #350414

PD9FER

2020-06-26 11:49

updater   ~0009702

This is happening wit Access Database aswell as with MariaDB

You can also replicate this by removing all Callsign Lookup entries from Tools > Configure > Callsign Lookup
then try to add a contact.. it is slow.

DOUG

2020-07-11 22:05

developer   ~0009741

fiixed in version 289

g3ucq

2020-07-13 03:59

updater   ~0009767

Fixed in v289

vk2byi

2020-07-13 04:38

updater   ~0009773

Fixed

WA9PIE

2020-07-13 04:56

administrator   ~0009779

Although I have no idea why someone would save a QSO before the lookup occurs, this is resolved.

Validated

Issue History

Date Modified Username Field Change
2020-02-03 07:41 PD9FER New Issue
2020-02-03 07:47 PD9FER Priority normal => urgent
2020-02-03 07:49 PD9FER Severity minor => major
2020-02-03 08:05 PD9FER Note Added: 0009574
2020-02-03 08:19 PD9FER Summary Filling in a Call in ALA and Hit Enter takes long time to be written to the DB => Filling in a Call in ALE and Hit Enter takes long time to be written to the DB
2020-04-05 04:09 PD9FER Note Added: 0009648
2020-05-22 10:26 PD9FER Note Added: 0009679
2020-06-26 11:49 PD9FER Note Added: 0009702
2020-06-26 11:51 PD9FER Steps to Reproduce Updated View Revisions
2020-07-04 10:27 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2020-07-04 10:27 WA9PIE Assigned To => DOUG
2020-07-04 10:27 WA9PIE Status new => assigned
2020-07-09 16:47 WILL Assigned To DOUG => WILL
2020-07-11 19:03 DOUG Assigned To WILL => DOUG
2020-07-11 22:05 DOUG Status assigned => resolved
2020-07-11 22:05 DOUG Resolution open => fixed
2020-07-11 22:05 DOUG Note Added: 0009741
2020-07-12 20:25 WA9PIE Fixed in Version => 6.7.0.290
2020-07-13 03:59 g3ucq Note Added: 0009767
2020-07-13 04:38 vk2byi Note Added: 0009773
2020-07-13 04:56 WA9PIE Status resolved => closed
2020-07-13 04:56 WA9PIE Testing Not Started => Beta Successful
2020-07-13 04:56 WA9PIE Note Added: 0009779